import { TransactionSpec } from '@codemirror/state';
import { EditorView } from '@codemirror/view';
import { Subject } from 'rxjs';
import { CoreFacade } from '../../../core/facades/core-facade';
import { Marker } from '../../../core/models';
import { EditorOptions } from '../../../models';
export declare class CodeMirror6Core extends CoreFacade {
    static readonly $onCompletionItemsUpdate: Subject<string[]>;
    private static readonly _ngUnsubscribe;
    private static _editorView;
    private _codeReceivedBeforeViewCreation;
    private _editorOptionsReceivedBeforeViewCreation;
    constructor();
    static getEditorView(): EditorView;
    static updateEditorView(...transactionSpecs: TransactionSpec[]): void;
    setCoreWrapperElement(element: HTMLDivElement): void;
    setCode(code: string): void;
    initCore(): void;
    destroyCore(): void;
    protected setCoreEditorOptions(options: EditorOptions): void;
    protected highlightCode(markers: Marker[]): void;
    private setObservablesListeners;
    private createEditorView;
    private getCodeChangeListenerExtension;
    private changeEditorContent;
    protected setCodeWithCursorPreservation(code: string): void;
}
